Summary: IP Messenger for GNOME 2
Name: g2ipmsg
Version: 0.9.6
Release: 6%{?dist}
License: BSD
Group: Applications/Internet
URL: http://www.ipmsg.org/
Source0: http://www.ipmsg.org/archive/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: openssl-devel
BuildRequires: gtk2-devel libgnomeui-devel
BuildRequires: gnome-panel-devel
BuildRequires: gstreamer-devel
BuildRequires: perl-XML-Parser gettext
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
This package contains IP Messenger for the GNOME2 desktop environment.

  IP Messenger is a pop up style message communication software for
multi platforms. It is based on TCP/IP(UDP).

  Win, Win16, Mac/MacOSX, X11R6/GTK/GNOME, Java, Div version and
all source is open to public. You can get in the following URL.
http://www.ipmsg.org/index.html.en

%prep
%setup -q

%build
chmod 644 README* COPYING
%configure \
  --disable-schemas-install \
  --enable-systray
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -d -m 0755 $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/
install -c -m 644 g2ipmsg.schemas $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/%{name}.schemas

%find_lang g2ipmsg

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -eq 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
        /etc/gconf/schemas/%{name}.schemas >& /dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=xml::/etc/gconf/gconf.xml.defaults
/usr/bin/gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas >& /dev/null || :
update-desktop-database %{_datadir}/applications &>/dev/null || :

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
        /etc/gconf/schemas/%{name}.schemas >& /dev/null || :
fi

%postun
update-desktop-database %{_datadir}/applications &>/dev/null || :

%files -f g2ipmsg.lang
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/g2ipmsg
%attr(0755,root,root) %{_bindir}/g2ipmsg_applet
%config(noreplace) %{_sysconfdir}/gconf/schemas/%{name}.schemas
%dir %{_datadir}/pixmaps/g2ipmsg
%{_libdir}/bonobo/servers/g2ipmsg.server
%{_datadir}/gnome-2.0/ui/g2ipmsg.xml
%{_datadir}/pixmaps/ipmsg.png
%{_datadir}/pixmaps/g2ipmsg/ipmsg.png
%{_datadir}/pixmaps/g2ipmsg/ipmsg.xpm
%{_datadir}/pixmaps/g2ipmsg/ipmsgrev.xpm
%dir %{_datadir}/sounds/g2ipmsg
%{_datadir}/sounds/g2ipmsg/g2ipmsg.ogg
%{_datadir}/applications/g2ipmsg.desktop
%doc COPYING README README.jp


%changelog
* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.9.6-6
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Tomas Mraz <tmraz@redhat.com> - 0.9.6-3
- rebuild with new openssl

* Tue Oct 28 2008 ZC Miao <hellwolf.misty@gmail.com> - 0.9.6-2
- Fix Release TAG
- add Source url reference

* Sun Oct 26 2008 ZC Miao <hellwolf.misty@gmail.com> - 0.9.6-1
- update to released 0.9.6

* Tue Oct 14 2008 ZC Miao <hellwolf@hellwolf-sony.freehell.org> - 0.9.6-0.2
- Change to correct license
- Requires GConf2 in pre/post/preun
- permission of docs shoud be 644
- summary without dot

* Mon Apr 28 2008 ZC Miao <hellwolf.misty@gmail.com> - 0.9.6-0.1
- update to 0.9.6 development version

* Tue Feb 12 2008 ZC Miao <hellwolf.misty@gmail.com> - 0.9.5-1
- update to 0.9.5
- zh_CN traslation has been pushed into

* Tue Nov 20 2007 ZC Miao <hellwolf.misty@gmail.com> - 0.9.3-1
- Update to 0.9.3

* Sat Aug 11 2007 ZC Miao <hellwolf.misty@gmail.com> - 0.9.1-2
- Change default charset to cp936

* Fri Jun  8 2007 ZC Miao <hellwolf@seu.edu.cn> - 0.9.1-1
- build for f7

* Sun Dec 17 2006 Takeharu KATO <tkato@localhost.localdomain> - 
- Initial build.

